#include "mpi.h"

#include <print>

int main(int argc, char* argv[])
{
    MPI_Init(&argc, &argv);
    int rank, size;
    MPI_Comm_rank(MPI_COMM_WORLD, &rank);
    MPI_Comm_size(MPI_COMM_WORLD, &size);

    std::println("Hello from rank {} of {}", rank, size);
    MPI_Finalize();
}
